Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.digitalasset
Interface DigitalAssetMetaData

All Superinterfaces:
  java.lang.Iterable<java.lang.String>, java.io.Serializable

    public interface DigitalAssetMetaData

extends java.io.Serializable, java.lang.Iterable<java.lang.String>

DigitalAssetMetaData defines the meta data for a given managed asset.

Since:
  8.5.cf3

Nested Class Summary
`static class` | `DigitalAssetMetaData.CATEGORY` meta data categories, used to group the properties.

Method Summary
`java.lang.Object` | `getProperty(DigitalAssetMetaData.CATEGORY category, java.lang.String property)` Gets the property requested from the provided category.
`java.lang.Object` | `getProperty(java.lang.String property)` Gets the property requested from the ASSET category.
`java.lang.String` | `getResourceName()` Get the resoureName, typically file name of the Digital Asset.
`java.util.Iterator<java.lang.String>` | `iterator()` Get an iterator over all meta data property names of this asset.
`void` | `setProperty(DigitalAssetMetaData.CATEGORY category, java.lang.String property, java.lang.Object value)` Sets the provided value to the property specified in the provided category.
`void` | `setProperty(java.lang.String property, java.lang.Object value)` Sets the provided value to the property specified in the ASSET category.

Method Detail

### getResourceName

    java.lang.String getResourceName()

  Get the resoureName, typically file name of the Digital Asset.

  Returns:
    DigitalAsset's resource name, not `null`.

### setProperty

    void setProperty(java.lang.String property,
                     java.lang.Object value)
                     throws java.lang.IllegalArgumentException

  Sets the provided value to the property specified in the ASSET category. If a property with the same name already exists the value will get replaced with the new value. If the value is `null` it has the same effect as removing the property.

  Parameters:
    `property` - - the property name, not `null`
    `value` - - the property value
  Throws:
    `java.lang.IllegalArgumentException` - if property name is `null`

### setProperty

    void setProperty(DigitalAssetMetaData.CATEGORY category,
                     java.lang.String property,
                     java.lang.Object value)
                     throws java.lang.IllegalArgumentException

  Sets the provided value to the property specified in the provided category. If a property with the same name already exists the value will get replaced with the new value. If the value is `null` it has the same effect as removing the property.

  Parameters:
    `category` - - the property category, `null` falls back to ASSET
    `property` - - the property name, not `null`
    `value` - - the property value
  Throws:
    `java.lang.IllegalArgumentException` - if property name is `null`

### getProperty

    java.lang.Object getProperty(java.lang.String property)
                                 throws java.lang.IllegalArgumentException

  Gets the property requested from the ASSET category.

  Parameters:
    `property` - - the property name, not `null`
  Returns:
    the property value, or `null` if the property is not found in the ASSET category
  Throws:
    `java.lang.IllegalArgumentException` - if property name is `null`

### getProperty

    java.lang.Object getProperty(DigitalAssetMetaData.CATEGORY category,
                                 java.lang.String property)
                                 throws java.lang.IllegalArgumentException

  Gets the property requested from the provided category.

  Parameters:
    `category` - - the property category, `null` falls back to ASSET
    `property` - - the property name, not `null`
  Returns:
    the property value, or `null` if the property is not found in the given category
  Throws:
    `java.lang.IllegalArgumentException` - if property name is `null`

### iterator

    java.util.Iterator<java.lang.String> iterator()

  Get an iterator over all meta data property names of this asset.

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.String>`
  Returns:
    iterator over all meta data property names of this asset.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD